<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: D:/web/serveur/dokeos/acces_wims/phpcas/CAS.php File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>D:/web/serveur/dokeos/acces_wims/phpcas/CAS.php File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classphp_c_a_s.html">phpCAS</a></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_c_a_s_8php.html#a3e4542187a4c56565db4f8358c9b5164">PHPCAS_VERSION</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public.html#ga0904e4fb51e532bbba51832326dbf8fb">CAS_VERSION_1_0</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public.html#ga33db27557b9b055f0cff75481f46a4bc">CAS_VERSION_2_0</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gaaca9f0a80adfc04e5e274f3b87ea13c4">CAS_PGT_STORAGE_FILE_DEFAULT_PATH</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gad8072d44d21464c4342c38d0c4de0099">CAS_PGT_STORAGE_FILE_FORMAT_PLAIN</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga6611f5a9cf8eac59058c883bb7bdd913">CAS_PGT_STORAGE_FILE_FORMAT_XML</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gaa0139a630d1323b6621e84ee39671a71">CAS_PGT_STORAGE_FILE_DEFAULT_FORMAT</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga80e70ae1e1f05077afc333a11a025cac">CAS_PGT_STORAGE_DB_DEFAULT_DATABASE_TYPE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gac901cf029f0ed8d4a7865de22d0925a8">CAS_PGT_STORAGE_DB_DEFAULT_HOSTNAME</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga6f0f7caaefbd4f37e1bc1297e35519b7">CAS_PGT_STORAGE_DB_DEFAULT_PORT</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#gaa40307721fe9c74bf474ea7ad8da3abe">CAS_PGT_STORAGE_DB_DEFAULT_DATABASE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_p_g_t_storage.html#ga072d8c6ec2753e58f251cba9db5490eb">CAS_PGT_STORAGE_DB_DEFAULT_TABLE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#ga30974f0204d0c1e9cf8b0807a1a1a55e">PHPCAS_SERVICE_OK</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#ga7de1d5537c1fa74b4a180d94dc165c37">PHPCAS_SERVICE_PT_NO_SERVER_RESPONSE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#gab8fd1de27f50f53dac55bf1287ad0e70">PHPCAS_SERVICE_PT_BAD_SERVER_RESPONSE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#ga63639adfb3fdbe13a1708e4823380b4d">PHPCAS_SERVICE_PT_FAILURE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_services.html#ga5dfc07f89779d38de5eae55c84a5b8a9">AVAILABLE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga5984586a097c0e917dd20363600b110c">PHPCAS_LANG_ENGLISH</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga2625c23a266bd8018ac7ed2dd8bc592c">PHPCAS_LANG_FRENCH</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga2ddaa47b527b9c822787762ae7b8728b">PHPCAS_LANG_GREEK</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga085ffcd2c3dbdeb25d603581c042302f">PHPCAS_LANG_GERMAN</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga5f7de216237ed042d381ee6ec78872fe">PHPCAS_LANG_JAPANESE</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga1c9367d17d67e279dd9d0fcfc6b121c4">PHPCAS_LANG_SPANISH</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_lang.html#ga06f9fdc1bf4d3f97e8e13baa9fb79876">PHPCAS_LANG_CATALAN</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_lang.html#ga09705919fa8acfdfe25b3d8bf78309ac">PHPCAS_LANG_DEFAULT</a> </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_debug.html#gab6968f526a29ba688e250949b56c0395">DEFAULT_DEBUG_DIR</a> </td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga08974bbe1899b5ddc7570d454ca27c80">$GLOBALS</a> ['PHPCAS_CLIENT']</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#gae4b200587aaf8750dd62b04054781032">$GLOBALS</a> ['PHPCAS_INIT_CALL']</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga0833844c10e860f74fe6dadc02d3b8b7">$GLOBALS</a> ['PHPCAS_AUTH_CHECK_CALL']</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_misc.html#ga2abd10340f5965a876ccabd507ef8f45">$GLOBALS</a> ['PHPCAS_DEBUG']</td></tr>
</table>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="a3e4542187a4c56565db4f8358c9b5164"></a><!-- doxytag: member="CAS.php::PHPCAS_VERSION" ref="a3e4542187a4c56565db4f8358c9b5164" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="_c_a_s_8php.html#a3e4542187a4c56565db4f8358c9b5164">PHPCAS_VERSION</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="classphp_c_a_s.html">phpCAS</a> version. accessible for the user by <a class="el" href="group__public.html#gaba9981b7e9d000cd2023da901c2b71dd">phpCAS::getVersion()</a>. </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:55 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
